select
    a.RestID
     , a.MeterID -- 表id
     , b.MeterName -- 表名称
     , a.CommID -- 项目id
     , a.ListDate -- 抄表时间
     , a.LastListDate -- 上次抄表时间
     , a.StartDegree -- 表起数
     , a.EndDegree -- 表止数
     , a.Dosage -- 用量
     , a.Price -- 单价
     , a.Amount -- 金额
     , case when b.MeterType = 1 then '水表'
            when b.MeterType = 2 then '电表'
            when b.MeterType = 3 then '气表'
            else '其它' end MeterType
from ods_erp_tb_hspr_customermeterresult_d a
         left join (select distinct MeterID, CommID, MeterName, MeterType from ods_erp_tb_hspr_customermeter_d where IsDelete = 0) b
                   on a.MeterID = b.MeterID